Window is not resizable reducing ability to read "Details of updates" and "Technical description"

Bug #1321088 reported by ConceptRat on 2014-05-20
32
This bug affects 7 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Medium
Unassigned

Bug Description

lsb_release -rd
Description: Ubuntu 14.04 LTS
Release: 14.04

apt-cache policy update-manager
update-manager:
  Installed: 1:0.196.12
  Candidate: 1:0.196.12
  Version table:
 *** 1:0.196.12 0
        500 http://nz.archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1:0.196.11 0
        500 http://nz.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages

When the Software Updater window came up I clicked the "Details of updates" drop down to see what was going to be installed/updated and then clicked the "Technical description" drop down to read the "Changes" tab. However the default size for the "Software Updater" is too small to allow enough space to read these areas effectively. I went to resize the window however it appears to not be resizable using the mouse. I seem to remember that previous releases (not sure which/when) did allow it to be resized using the mouse.

Of note is that you can use the window menu to choose "Resize" at which point you can resize the window and see far more of the content than before. What is still missing though is the ability to change the spilt between the areas "Detail of updates" and "Technical description". It appears that the areas are given a 50/50 split of the window. I suspect that this may also be part of the problem.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: update-manager 1:0.196.12
ProcVersionSignature: Ubuntu 3.13.0-24.47-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
ApportVersion: 2.14.1-0ubuntu3
Aptdaemon:
 May 20 10:15:49 fuwugaha AptDaemon: INFO: Initializing daemon
 May 20 10:15:49 fuwugaha AptDaemon.PackageKit: INFO: Initializing PackageKit compat layer
Architecture: amd64
CurrentDesktop: Unity
CurrentDmesg.txt: [ 124.340612] init: plymouth-stop pre-start process (3353) terminated with status 1
Date: Tue May 20 10:17:19 2014
ExecutablePath: /usr/bin/update-manager
GsettingsChanges:
 b'com.ubuntu.update-manager' b'show-details' b'true'
 b'com.ubuntu.update-manager' b'first-run' b'false'
 b'com.ubuntu.update-manager' b'window-width' b'484'
 b'com.ubuntu.update-manager' b'launch-time' b'1400536203'
InstallationDate: Installed on 2014-05-12 (7 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
InterpreterPath: /usr/bin/python3.4
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_NZ:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_NZ.UTF-8
 SHELL=/bin/bash
SourcePackage: update-manager
UpgradeStatus: No upgrade log present (probably fresh install)

ConceptRat (conceptrat) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu):
status: New → Confirmed
Miguel Meléndez (miguelmmg) wrote :

Workaround: If you maximize and restore the Software Updater Window, then it is resizeable again.

graingert (tagrain) wrote :

This only started affecting me after an upgrade to 14.10

Carey Underwood (cwillu) wrote :

Maximize/restore doesn't make it resizable here.

Carey Underwood (cwillu) wrote :

Nothing ever calls "begin_user_resizable" in UpdateManager/UpdateManager.py, which is probably an oversight.

Simply killing off the self.set_resizable(False) in end_user_resizable() makes things work; there's really no need to make the window a fixed size, nothing breaks, and it makes monitor progress during download and install much more straightforward than with a fixed-size window.

Of course, being gnome software, there's no chance that a straightforward hack will ever be applied, preferring to leave things broken in a less useful manner until a "proper" fix can be developed (which won't happen, instead in 4 years someone will write a replacement with another set of broken features, and so the lifecycle of free software continues).

xenus (xenus) wrote :

Still an issue in 15.10

xenus (xenus) wrote :

apt-cache policy update-manager
update-manager:
  Installed: 1:15.10.3
  Candidate: 1:15.10.3
  Version table:
 *** 1:15.10.3 0
        500 http://gb.archive.ubuntu.com/ubuntu/ wily/main amd64 Packages

bug still present

Sam_ (and-sam) on 2017-03-03
tags: added: wily xenial
Changed in update-manager (Ubuntu):
importance: Undecided → Medium
Michael Grivas (mgrivas) wrote :

Similar situation on 16.10. In some update, it was fixed, then broke again in the next one.
The "details" part resizes weirdly and it cannot enlarge, only shrink.
Possibly related to or duplicate of #1376499 .

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers